
QGIS Application - Bug report #1017

QGIS crashes X session (Ubuntu Gutsy) if too many polygons are loaded

2008-03-28 11:18 AM - tkeitt -

Status: Closed

Priority: Low

Assignee: nobody -

Category:

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11077

Description

I've noticed that more than 2000 or so polygons loaded into QGIS will cause X windows to crash.

History

#1 - 2008-03-29 06:44 PM - Jürgen Fischer

https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/208899

#2 - 2009-03-21 09:28 AM - Paolo Cavallini

Is this still valid? Many things are changed, please test it again and close it if appropriate.

#3 - 2009-03-28 03:07 PM - Paolo Cavallini

See also #1430 (may be a duplicate)

#4 - 2009-03-28 03:22 PM - tkeitt -

I have not tested this lately. It is not a QGIS bug. It is a bug in the Xserver. I have generated a backtrace and filed a bug with xorg. This (QGIS) bug can be

closed because it does not occur in the QGIS code. The backtrace indicates that the bug is in the polygon filling algorithm used in X. As best I can tell that

code was written at MIT in 1982!

#5 - 2009-04-19 04:00 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to invalid

#6 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted
